// Copyright 2021 Springlab BV. All rights reserved.
// Author: Joey Fladderak (joey@springlab.nl)

using System;

namespace Springloop.BackendlessData
{
	[Serializable]
	public class BackendlessDataObject
	{
		public string objectId;
	}

	[Serializable]
	public class Users : BackendlessDataObject
	{
		public string name;
		public string email;
		public Organisations organisation;
	}

	[Serializable]
	public class Organisations : BackendlessDataObject
	{
		public string name;
		public Packages[] packages;
		public Koepel koepel;
		public OrganisationType type;
	}

	public class OrganisationType : BackendlessDataObject
	{
		public string name;
	}

	public class Koepel : BackendlessDataObject
	{
		public string name;
	}

	[Serializable]
	public class Games : BackendlessDataObject
	{
		//public bool available;
		//public string gameId;
		//public string name;
		//public string data;
		//public Packages[] packages;
		//public Languages[] supportedLanguages;
	}

	[Serializable]
	public class Packages : BackendlessDataObject
	{
		public string name;
	}

	[Serializable]
	public class Languages : BackendlessDataObject
	{
		public string language;
		public string code;
	}
}